## gnome-documents 3.14.1

=== debian/changelog ===
gnome-documents (3.14.1-1) unstable; urgency=medium

  [ Jackson Doak ]
  * New upstream release

  [ Michael Biebl ]
  * Refresh gnome-documents-xdg-fail.patch.
  * Bump Standards-Version to 3.9.6. No further changes.

 -- Michael Biebl <biebl@debian.org>  Mon, 20 Oct 2014 20:24:02 +0200

gnome-documents (3.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump build-dependencies according to configure.ac changes:
    + libevince-dev (>= 3.13.3)
    + libglib2.0-dev (>= 2.39.3)
    + libgtk-3-dev (>= 3.13.2)

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 25 Sep 2014 19:06:28 +0200

gnome-documents (3.12.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 15 Jul 2014 00:12:14 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-documents
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
Build-Depends: dh-autoreconf,
               debhelper (>= 9),
               desktop-file-utils,
               gnome-pkg-tools (>= 0.10),
               gnome-common,
               gobject-introspection (>= 1.31.6),
               gtk-doc-tools,
               inkscape,
               libevince-dev (>= 3.13.3),
               libgdata-dev (>= 0.13.3),
               libgirepository1.0-dev (>= 1.31.6),
               libgjs-dev (>= 1.40),
               libglib2.0-dev (>= 2.39.3),
               libgnome-desktop-3-dev (>= 3.10),
               libgoa-1.0-dev (>= 3.10),
               libgtk-3-dev (>= 3.13.2),
               libsoup2.4-dev (>= 2.41.3),
               libtracker-control-1.0-dev (>= 0.17.3),
               libtracker-sparql-1.0-dev,
               libwebkitgtk-3.0-dev (>= 1.10.0),
               libzapojit-dev (>= 0.0.2-2),
               poppler-utils,
               yelp-tools,
               xsltproc
Standards-Version: 3.9.6
Homepage: https://wiki.gnome.org/Apps/Documents
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-documents
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-documents/

Package: gnome-documents
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${gir:Depends},
         gnome-online-miners,
         gir1.2-evince-3.0,
         gir1.2-gdata-0.0,
         gir1.2-gnomedesktop-3.0,
         gir1.2-goa-1.0,
         gir1.2-gtk-3.0,
         gir1.2-tracker-1.0,
         gir1.2-webkit-3.0,
         gir1.2-zpj-0.0,
         tracker (>= 0.17.3),
         gjs (>= 1.32.0-3)
Recommends: gnome-user-guide,
            unoconv
Description: Document manager for GNOME
 GNOME Documents is a standalone application to find, organize and view
 your documents.

## gnome-documents 3.14.2

=== debian/changelog ===
gnome-documents (3.14.2-1) unstable; urgency=medium

  * New upstream bugfix release.
    + Disable SSLv3 because of POODLE.

 -- Josselin Mouette <joss@debian.org>  Tue, 02 Dec 2014 00:19:11 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: dh-autoreconf,
                debhelper (>= 9),
                desktop-file-utils,

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_LDFLAGS_MAINT_APPEND= -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --parallel --with autoreconf,gnome,gir

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-silent-rules \
		--enable-getting-started

override_dh_install:
	# Since dh_install -X.la isn't working...
	find -name *.la -delete
	dh_install -X.la

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-documents

override_dh_girepository:
	dh_girepository -X/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-documents \
	-ldebian/gnome-documents/usr/share/gnome-documents/gir-1.0 \
	/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-documents/ /usr/lib/$(DEB_HOST_MULTIARCH)/gnome-documents/girepository-1.0/

## gnome-documents 3.16.2

=== debian/changelog ===
gnome-documents (3.16.2-1) unstable; urgency=medium

  * New upstream release.
  * Refresh debian/patches/gnome-documents-xdg-fail.patch.
  * Update dependencies as per configure.ac:
    - Add Build-Depends on intltool (>= 0.50.1).
    - Bump Build-Depends on libgtk-3-dev to (>= 3.15.5).
    - Replace Build-Depends on libwebkitgtk-3.0-dev with libwebkit2gtk-4.0-dev
      (>= 2.6.0) and Depends on gir1.2-webkit-3.0 with gir1.2-webkit2-4.0 for
      the switch to WebKit2.

 -- Michael Biebl <biebl@debian.org>  Mon, 15 Jun 2015 00:28:24 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                desktop-file-utils,
                gnome-pkg-tools (>= 0.10),
                gnome-common,
+               intltool (>= 0.50.1),
                gobject-introspection (>= 1.31.6),
                gtk-doc-tools,
                inkscape,
@@ -22,11 +23,11 @@
                libglib2.0-dev (>= 2.39.3),
                libgnome-desktop-3-dev (>= 3.10),
                libgoa-1.0-dev (>= 3.10),
-               libgtk-3-dev (>= 3.13.2),
+               libgtk-3-dev (>= 3.15.5),
                libsoup2.4-dev (>= 2.41.3),
                libtracker-control-1.0-dev (>= 0.17.3),
                libtracker-sparql-1.0-dev,
-               libwebkitgtk-3.0-dev (>= 1.10.0),
+               libwebkit2gtk-4.0-dev (>= 2.6.0),
                libzapojit-dev (>= 0.0.2-2),
                poppler-utils,
                yelp-tools,
@@ -48,7 +49,7 @@
          gir1.2-goa-1.0,
          gir1.2-gtk-3.0,
          gir1.2-tracker-1.0,
-         gir1.2-webkit-3.0,
+         gir1.2-webkit2-4.0,
          gir1.2-zpj-0.0,
          tracker (>= 0.17.3),
          gjs (>= 1.32.0-3)

## gnome-documents 3.16.4

=== debian/changelog ===
gnome-documents (3.16.4-0ubuntu1) wily; urgency=medium

  * New upstream stable release

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 08 Oct 2015 22:07:21 +1300

gnome-documents (3.16.3-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 06 Aug 2015 14:55:07 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Robert Ancell <robert.ancell@canonical.com>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: dh-autoreconf,
                debhelper (>= 9),
                desktop-file-utils,

## gnome-documents 3.18.1

=== debian/changelog ===
gnome-documents (3.18.1-1) unstable; urgency=medium

  * New upstream release.
  * Quote parameters passed to find to avoid expansion by the shell.

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Oct 2015 16:36:22 +0200

gnome-documents (3.18.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/fix-desktop-validation-sl.patch
    - now included in upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 03 Oct 2015 11:15:50 +0200

gnome-documents (3.18.0-2) unstable; urgency=medium

  * Add gjs to build-dependencies (Closes: #799826)
    - allows detecting its path during build-time.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 23 Sep 2015 09:52:04 +0200

gnome-documents (3.18.0-1) unstable; urgency=medium

  * New upstream release.
  * Add debian/patches/fix-desktop-validation-sl.patch from upstream git

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 22 Sep 2015 20:25:14 +0200

gnome-documents (3.16.4-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 15 Sep 2015 23:10:37 +0200

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,14 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Robert Ancell <robert.ancell@canonical.com>, Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: dh-autoreconf,
                debhelper (>= 9),
                desktop-file-utils,
                gnome-pkg-tools (>= 0.10),
                gnome-common,
                intltool (>= 0.50.1),
+               gjs,
                gobject-introspection (>= 1.31.6),
                gtk-doc-tools,
                inkscape,
@@ -35,7 +36,7 @@
 Standards-Version: 3.9.6
 Homepage: https://wiki.gnome.org/Apps/Documents
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-documents
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-documents/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-documents/
 
 Package: gnome-documents
 Architecture: any

## gnome-documents 3.18.2

=== debian/changelog ===
gnome-documents (3.18.2-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Recommends libgsf-bin, this is needed to create the
    thumbnails for the libreoffice files.

  [ Michael Biebl ]
  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 12 Nov 2015 16:04:38 +0100

=== debian/control ===
--- 
+++ 
@@ -55,7 +55,8 @@
          tracker (>= 0.17.3),
          gjs (>= 1.32.0-3)
 Recommends: gnome-user-guide,
-            unoconv
+            unoconv,
+            libgsf-bin
 Description: Document manager for GNOME
  GNOME Documents is a standalone application to find, organize and view
  your documents.

## gnome-documents 3.18.3

=== debian/changelog ===
gnome-documents (3.18.3-0ubuntu0.16.04.1) xenial; urgency=medium

  * New upstream bugfix release (LP: #1588913)
    - Unbreak going back from preview when launched from search provider
    - Disable Print menu item when unsupported
    - Try not to open PDFs in GIMP
  * 91_hide-gnome-books.patch:
    - Don't show GNOME Books by default since it does almost nothing
      currently (LP: #1584522)

 -- Jeremy Bicha <jbicha@linux.com>  Fri, 03 Jun 2016 12:10:35 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: gnome-documents
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: dh-autoreconf,
                debhelper (>= 9),

=== debian/rules ===
--- 
+++ 
@@ -14,10 +14,9 @@
 		--disable-silent-rules \
 		--enable-getting-started
 
-override_dh_install:
-	# Since dh_install -X.la isn't working...
-	find -name *.la -delete
-	dh_install -X.la
+override_dh_auto_install:
+	dh_auto_install
+	find debian/gnome-documents -name '*.la' -delete
 
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-documents

## gnome-documents 3.20.0

=== debian/changelog ===
gnome-documents (3.20.0-3) unstable; urgency=medium

  [ Jeremy Bicha ]
  * debian/patches/91_hide-gnome-books.patch:
    - Set NoDisplay=true for GNOME Books. (Closes: 824597) (LP: #1584522)
  * Add debian/docs: Although cdbs automatically installs upstream NEWS
    without this file, it looks like dh needs it
  * debian/control.in: Bump Standards-Version to 3.9.8
  * debian/watch: Use https

  [ Michael Biebl ]
  * Drop --disable-silent-rules from debian/rules. This is now handled by dh
    directly depending on whether the DH_QUIET environment variable is set.

 -- Michael Biebl <biebl@debian.org>  Thu, 26 May 2016 06:19:39 +0200

gnome-documents (3.20.0-2) unstable; urgency=medium

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Sun, 17 Apr 2016 23:05:34 +0200

gnome-documents (3.20.0-1) experimental; urgency=medium

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Thu, 24 Mar 2016 19:27:16 +0100

gnome-documents (3.19.4-3) experimental; urgency=medium

  * add Conflicts: against libreoffice-gtk3 (<= 1:5.1.1-1), see
    #818433 

 -- Rene Engelhard <rene@debian.org>  Thu, 17 Mar 2016 08:08:49 +0100

gnome-documents (3.19.4-2) experimental; urgency=medium

  * really bump Build-Depends on libgtk-3-dev in control.in, too 

 -- Rene Engelhard <rene@debian.org>  Wed, 16 Mar 2016 08:23:49 +0100

gnome-documents (3.19.4-1) experimental; urgency=medium

  * New upstream (development) release

  * Update dependencies as per configure.ac:                                   
    - Bump Build-Depends on libgtk-3-dev to (>= 3.19.1).

  * Recommend gir1.2-lokdocview-0.1 in addition to unoconv

 -- Rene Engelhard <rene@debian.org>  Wed, 16 Mar 2016 07:24:47 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: gnome-documents
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: dh-autoreconf,
                debhelper (>= 9),
@@ -25,7 +24,7 @@
                libglib2.0-dev (>= 2.39.3),
                libgnome-desktop-3-dev (>= 3.10),
                libgoa-1.0-dev (>= 3.10),
-               libgtk-3-dev (>= 3.15.5),
+               libgtk-3-dev (>= 3.19.1),
                libsoup2.4-dev (>= 2.41.3),
                libtracker-control-1.0-dev (>= 0.17.3),
                libtracker-sparql-1.0-dev,
@@ -34,7 +33,7 @@
                poppler-utils,
                yelp-tools,
                xsltproc
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://wiki.gnome.org/Apps/Documents
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-documents
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-documents/
@@ -56,8 +55,10 @@
          tracker (>= 0.17.3),
          gjs (>= 1.32.0-3)
 Recommends: gnome-user-guide,
+            gir1.2-lokdocview-0.1,
             unoconv,
             libgsf-bin
+Conflicts: libreoffice-gtk3 (<= 1:5.1.1-1)
 Description: Document manager for GNOME
  GNOME Documents is a standalone application to find, organize and view
  your documents.

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,6 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--disable-silent-rules \
 		--enable-getting-started
 
 override_dh_auto_install:

## gnome-documents 3.21.90

=== debian/changelog ===
gnome-documents (3.21.90-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Bump dh compat to 10
  * debian/control.in:
    - Build-depend on autoconf-archive instead of gnome-common
    - Build-depend and depend on libgepub for new epub support
  * Drop debian/patches/91_hide-gnome-books.patch:
    - Don't hide the Books app since it now support epubs

  [ Michael Biebl ]
  * Cherry-pick patch from upstream to use Gepub 0.4.

 -- Michael Biebl <biebl@debian.org>  Tue, 06 Sep 2016 01:14:47 +0200

gnome-documents (3.20.1-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 17 Aug 2016 13:51:13 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,11 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: dh-autoreconf,
-               debhelper (>= 9),
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>
+Build-Depends: autoconf-archive (>= 20160320),
+               debhelper (>= 9.20160403~),
                desktop-file-utils,
                gnome-pkg-tools (>= 0.10),
-               gnome-common,
                intltool (>= 0.50.1),
                gjs,
                gobject-introspection (>= 1.31.6),
@@ -19,6 +18,7 @@
                inkscape,
                libevince-dev (>= 3.13.3),
                libgdata-dev (>= 0.13.3),
+               libgepub-dev (>= 0.4),
                libgirepository1.0-dev (>= 1.31.6),
                libgjs-dev (>= 1.40),
                libglib2.0-dev (>= 2.39.3),
@@ -46,6 +46,7 @@
          gnome-online-miners,
          gir1.2-evince-3.0,
          gir1.2-gdata-0.0,
+         gir1.2-gepub-0.4,
          gir1.2-gnomedesktop-3.0,
          gir1.2-goa-1.0,
          gir1.2-gtk-3.0,

## gnome-documents 3.21.92

=== debian/changelog ===
gnome-documents (3.21.92-1) unstable; urgency=medium

  * New upstream development release.
  * Drop debian/patches/Require-Gepub-0.4.patch, merged upstream.

 -- Michael Biebl <biebl@debian.org>  Mon, 12 Sep 2016 14:47:03 +0200

gnome-documents (3.21.90-2) unstable; urgency=medium

  * Add explicit Build-Depends and Depends on gir packages which are not
    pulled in via the dev package and added via ${gir:Depends}. Upstream now
    checks for those explicitly via AX_CHECK_GIRS_GJS. Remove those which are
    computed via ${gir:Depends}.

 -- Michael Biebl <biebl@debian.org>  Tue, 06 Sep 2016 16:34:13 +0200

## gnome-documents 3.22.0

=== debian/changelog ===
gnome-documents (3.22.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 19 Sep 2016 21:46:17 +0200

## gnome-documents 3.22.1

=== debian/changelog ===
gnome-documents (3.22.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 14 Mar 2017 01:16:41 +0100

=== debian/control ===
--- 
+++ 
@@ -8,17 +8,19 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>
 Build-Depends: autoconf-archive (>= 20160320),
-               debhelper (>= 9.20160403~),
+               debhelper (>= 10),
                desktop-file-utils,
                gnome-pkg-tools (>= 0.10),
                intltool (>= 0.50.1),
+               gir1.2-gepub-0.4,
+               gir1.2-gdkpixbuf-2.0,
+               gir1.2-pango-1.0,
                gjs,
                gobject-introspection (>= 1.31.6),
                gtk-doc-tools,
                inkscape,
                libevince-dev (>= 3.13.3),
                libgdata-dev (>= 0.13.3),
-               libgepub-dev (>= 0.4),
                libgirepository1.0-dev (>= 1.31.6),
                libgjs-dev (>= 1.40),
                libglib2.0-dev (>= 2.39.3),
@@ -44,15 +46,11 @@
          ${misc:Depends},
          ${gir:Depends},
          gnome-online-miners,
-         gir1.2-evince-3.0,
-         gir1.2-gdata-0.0,
          gir1.2-gepub-0.4,
-         gir1.2-gnomedesktop-3.0,
-         gir1.2-goa-1.0,
-         gir1.2-gtk-3.0,
+         gir1.2-gdkpixbuf-2.0,
+         gir1.2-pango-1.0,
          gir1.2-tracker-1.0,
          gir1.2-webkit2-4.0,
-         gir1.2-zpj-0.0,
          tracker (>= 0.17.3),
          gjs (>= 1.32.0-3)
 Recommends: gnome-user-guide,

## gnome-documents 3.23.91

=== debian/changelog ===
gnome-documents (3.23.91-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 01 Mar 2017 22:44:40 -0500

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: gnome-documents
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: autoconf-archive (>= 20160320),
                debhelper (>= 10),
                desktop-file-utils,

## gnome-documents 3.24.0

=== debian/changelog ===
gnome-documents (3.24.0-0ubuntu2) artful; urgency=medium

  * Update 90_drop-onlyshowin.patch to show Books apps
    in any desktop (LP: #1687101)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 28 Apr 2017 16:18:14 -0400

gnome-documents (3.24.0-0ubuntu1) zesty; urgency=medium

  * New upstream translations release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 22 Mar 2017 14:12:56 -0400

## gnome-documents 3.24.1

=== debian/changelog ===
gnome-documents (3.24.1-0ubuntu1) artful; urgency=medium

  * New upstream release (LP: #1685514)
  * Add git_fix-lokdocview-args.patch:
    - Backport 3.24.2 commit to pass the correct number of arguments

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 28 Apr 2017 16:44:33 -0400

## gnome-documents 3.24.2

=== debian/changelog ===
gnome-documents (3.24.2-0ubuntu1) artful; urgency=medium

  * New upstream release (LP: #1690508)
  * debian/patches/git_fix-lokdocview-args.patch
    - Dropped included in new release

 -- Tim Lunn <tim@feathertop.org>  Sat, 13 May 2017 16:38:06 +1000

## gnome-documents 3.24.3

=== debian/changelog ===
gnome-documents (3.24.3-0ubuntu2) artful; urgency=medium

  * Depend on gir1.2-gepub-0.5 instead of gir1.2-gepub0.4
  * Add build-with-gepub-0.5.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 12 Aug 2017 21:56:30 -0400

gnome-documents (3.24.3-0ubuntu1) artful; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 21 Jul 2017 13:31:56 -0400

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                desktop-file-utils,
                gnome-pkg-tools (>= 0.10),
                intltool (>= 0.50.1),
-               gir1.2-gepub-0.4,
+               gir1.2-gepub-0.5,
                gir1.2-gdkpixbuf-2.0,
                gir1.2-pango-1.0,
                gjs,
@@ -47,7 +47,7 @@
          ${misc:Depends},
          ${gir:Depends},
          gnome-online-miners,
-         gir1.2-gepub-0.4,
+         gir1.2-gepub-0.5,
          gir1.2-gdkpixbuf-2.0,
          gir1.2-pango-1.0,
          gir1.2-tracker-1.0,

## gnome-documents 3.25.4

=== debian/changelog ===
gnome-documents (3.25.4-0ubuntu1) artful; urgency=medium

  * New upstream release
  * debian/control.in:
    - Update dependencies for tracker2
    - Bump minimum GJS to 1.48.0 and GTK+ to 3.22.15
  * Add 0001-Actually-use-Tracker-2.0.patch
  * Add git_use-var.patch, git_use-more-var.patch:
    - Fix some warnings with gjs 1.49/mozjs52

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 12 Aug 2017 22:24:53 -0400

=== debian/control ===
--- 
+++ 
@@ -23,14 +23,14 @@
                libevince-dev (>= 3.13.3),
                libgdata-dev (>= 0.13.3),
                libgirepository1.0-dev (>= 1.31.6),
-               libgjs-dev (>= 1.40),
+               libgjs-dev (>= 1.48.0),
                libglib2.0-dev (>= 2.39.3),
                libgnome-desktop-3-dev (>= 3.10),
                libgoa-1.0-dev (>= 3.10),
-               libgtk-3-dev (>= 3.19.1),
+               libgtk-3-dev (>= 3.22.15),
                libsoup2.4-dev (>= 2.41.3),
-               libtracker-control-1.0-dev (>= 0.17.3),
-               libtracker-sparql-1.0-dev,
+               libtracker-control-2.0-dev,
+               libtracker-sparql-2.0-dev,
                libwebkit2gtk-4.0-dev (>= 2.6.0),
                libzapojit-dev (>= 0.0.2-2),
                poppler-utils,
@@ -50,7 +50,7 @@
          gir1.2-gepub-0.5,
          gir1.2-gdkpixbuf-2.0,
          gir1.2-pango-1.0,
-         gir1.2-tracker-1.0,
+         gir1.2-tracker-2.0,
          gir1.2-webkit2-4.0,
          tracker (>= 0.17.3),
          gjs (>= 1.32.0-3)

## gnome-documents 3.25.90

=== debian/changelog ===
gnome-documents (3.25.90-0ubuntu1) artful; urgency=medium

  * New upstream release
  * Drop patches applied in new release:
    - build-with-gepub-0.5.patch
    - 0001-Actually-use-Tracker-2.0.patch
    - git_use-var.patch, git_use-more-var.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 16 Aug 2017 11:10:53 -0400

## gnome-documents 3.25.91

=== debian/changelog ===
gnome-documents (3.25.91-1) experimental; urgency=medium

  [ Andreas Henriksson ]
  * New upstream release
  * Update build-dependencies according to upstream configure.ac changes:
    - drop intltool (in favor of gettext)
    - switch to tracker 2.0
    - bump required gtk+ and gjs versions
  * Drop debian/patches/git_require-gepub-0.5.patch, included upstream.
  * Refresh remaining patches to apply without fuzz.

  [ Jeremy Bicha ]
  * Recommend gnome-user-docs instead of transitional package (LP: #1691867)

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Sep 2017 18:49:10 -0400

gnome-documents (3.22.5-2) unstable; urgency=medium

  * Depend and Build-Depend on tracker 2 instead of tracker 1

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Sep 2017 16:11:46 -0400

gnome-documents (3.22.5-1) unstable; urgency=medium

  * New upstream release.
  * Update 90_drop-onlyshowin.patch to show Books app
    in any desktop (LP: #1687101)
  * Add git_require-gepub-0.5.patch:
    - Cherry-pick commit for compatibility with libgepub 0.5
  * debian/control.in:
    - Depend and Build-Depend on gir1.2-gepub-0.5
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 29 Aug 2017 08:43:45 -0400

gnome-documents (3.22.2-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 13 Apr 2017 07:04:51 +0200

=== debian/control ===
--- 
+++ 
@@ -5,25 +5,23 @@
 Source: gnome-documents
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: autoconf-archive (>= 20160320),
                debhelper (>= 10),
                desktop-file-utils,
                gnome-pkg-tools (>= 0.10),
-               intltool (>= 0.50.1),
                gir1.2-gepub-0.5,
                gir1.2-gdkpixbuf-2.0,
                gir1.2-pango-1.0,
-               gjs,
+               gjs (>= 1.48.0),
                gobject-introspection (>= 1.31.6),
                gtk-doc-tools,
                inkscape,
                libevince-dev (>= 3.13.3),
                libgdata-dev (>= 0.13.3),
                libgirepository1.0-dev (>= 1.31.6),
-               libgjs-dev (>= 1.48.0),
+               libgjs-dev (>= 1.48),
                libglib2.0-dev (>= 2.39.3),
                libgnome-desktop-3-dev (>= 3.10),
                libgoa-1.0-dev (>= 3.10),
@@ -36,7 +34,7 @@
                poppler-utils,
                yelp-tools,
                xsltproc
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://wiki.gnome.org/Apps/Documents
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-documents
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-documents/
@@ -52,9 +50,9 @@
          gir1.2-pango-1.0,
          gir1.2-tracker-2.0,
          gir1.2-webkit2-4.0,
-         tracker (>= 0.17.3),
-         gjs (>= 1.32.0-3)
-Recommends: gnome-user-guide,
+         tracker (>= 1.99),
+         gjs (>= 1.48.0)
+Recommends: gnome-user-docs,
             gir1.2-lokdocview-0.1,
             unoconv,
             libgsf-bin

## gnome-documents 3.26.1

=== debian/changelog ===
gnome-documents (3.26.1-1) experimental; urgency=medium

  * New upstream translations release
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 03 Oct 2017 15:02:19 -0400

gnome-documents (3.26.0-1) experimental; urgency=medium

  * New upstream release
  * Refresh 90_drop-onlyshowin.patch

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 14 Sep 2017 09:45:43 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: autoconf-archive (>= 20160320),
                debhelper (>= 10),
                desktop-file-utils,
@@ -34,7 +34,7 @@
                poppler-utils,
                yelp-tools,
                xsltproc
-Standards-Version: 4.1.0
+Standards-Version: 4.1.1
 Homepage: https://wiki.gnome.org/Apps/Documents
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-documents
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-documents/

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #!/usr/bin/make -f
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
-export DEB_LDFLAGS_MAINT_APPEND= -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
 %:
-	dh $@ --parallel --with autoreconf,gnome,gir
+	dh $@ --with gnome,gir
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed

## gnome-documents 3.28.0

=== debian/changelog ===
gnome-documents (3.28.0-1) unstable; urgency=medium

  * New upstream release
  * Build with meson
  * Depend on libgepub 0.6
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 21 Mar 2018 08:13:27 -0400

gnome-documents (3.26.2-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs fields for migration to https://salsa.debian.org/

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 01 Feb 2018 07:53:38 -0500

gnome-documents (3.26.1-3) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 14 Dec 2017 17:31:11 -0500

gnome-documents (3.26.1-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 20 Oct 2017 13:51:24 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: gnome-documents
@@ -7,19 +7,16 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: autoconf-archive (>= 20160320),
-               debhelper (>= 10),
+Build-Depends: debhelper (>= 11.1.3),
                desktop-file-utils,
                gnome-pkg-tools (>= 0.10),
-               gir1.2-gepub-0.5,
-               gir1.2-gdkpixbuf-2.0,
-               gir1.2-pango-1.0,
                gjs (>= 1.48.0),
                gobject-introspection (>= 1.31.6),
                gtk-doc-tools,
                inkscape,
                libevince-dev (>= 3.13.3),
                libgdata-dev (>= 0.13.3),
+               libgepub-0.6-dev,
                libgirepository1.0-dev (>= 1.31.6),
                libgjs-dev (>= 1.48),
                libglib2.0-dev (>= 2.39.3),
@@ -31,13 +28,14 @@
                libtracker-sparql-2.0-dev,
                libwebkit2gtk-4.0-dev (>= 2.6.0),
                libzapojit-dev (>= 0.0.2-2),
+               meson (>= 0.42.0),
                poppler-utils,
                yelp-tools,
                xsltproc
-Standards-Version: 4.1.1
+Standards-Version: 4.1.2
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-documents
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-documents.git
 Homepage: https://wiki.gnome.org/Apps/Documents
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-documents
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-documents/
 
 Package: gnome-documents
 Architecture: any
@@ -45,7 +43,7 @@
          ${misc:Depends},
          ${gir:Depends},
          gnome-online-miners,
-         gir1.2-gepub-0.5,
+         gir1.2-gepub-0.6,
          gir1.2-gdkpixbuf-2.0,
          gir1.2-pango-1.0,
          gir1.2-tracker-2.0,

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome,gir --without autoreconf --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dgetting_started=true

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-documents

override_dh_girepository:
	dh_girepository -X/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-documents \
	-ldebian/gnome-documents/usr/share/gnome-documents/gir-1.0 \
	/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-documents/ /usr/lib/$(DEB_HOST_MULTIARCH)/gnome-documents/girepository-1.0/

## gnome-documents 3.30.0

=== debian/changelog ===
gnome-documents (3.30.0-2) unstable; urgency=medium

  * Team upload
  * Rebuild to help the gjs transition to happen (see #906016). We need
    a higher version of gnome-documents in unstable than the obsolete
    s390x binaries in testing.
  * Normalize dependency list order (wrap-and-sort -a)
  * Set Rules-Requires-Root to no
  * d/source/lintian-overrides: Silence a false positive for
    source-is-missing.
    src/sharing.js contains a regular expression that is long enough to
    trip Lintian's line-length-based heuristic to detect minified
    JavaScript, but in fact it is not minified and is the preferred form
    for modification.
  * Standards-Version: 4.2.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Thu, 13 Dec 2018 11:59:12 +0000

gnome-documents (3.30.0-1) unstable; urgency=medium

  * New upstream release

 -- Tim Lunn <tim@feathertop.org>  Wed, 12 Sep 2018 18:23:53 +1000

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper (>= 11.1.3),
                desktop-file-utils,
+               gjs (>= 1.48.0),
                gnome-pkg-tools (>= 0.10),
-               gjs (>= 1.48.0),
                gobject-introspection (>= 1.31.6),
                gtk-doc-tools,
                inkscape,
@@ -30,30 +30,31 @@
                libzapojit-dev (>= 0.0.2-2),
                meson (>= 0.42.0),
                poppler-utils,
-               yelp-tools,
-               xsltproc
-Standards-Version: 4.1.2
+               xsltproc,
+               yelp-tools
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-documents
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-documents.git
 Homepage: https://wiki.gnome.org/Apps/Documents
+Rules-Requires-Root: no
 
 Package: gnome-documents
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${gir:Depends},
-         gnome-online-miners,
+Depends: gir1.2-gdkpixbuf-2.0,
          gir1.2-gepub-0.6,
-         gir1.2-gdkpixbuf-2.0,
          gir1.2-pango-1.0,
          gir1.2-tracker-2.0,
          gir1.2-webkit2-4.0,
+         gjs (>= 1.48.0),
+         gnome-online-miners,
          tracker (>= 1.99),
-         gjs (>= 1.48.0)
-Recommends: gnome-user-docs,
-            gir1.2-lokdocview-0.1,
-            unoconv,
-            libgsf-bin
+         ${gir:Depends},
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: gir1.2-lokdocview-0.1,
+            gnome-user-docs,
+            libgsf-bin,
+            unoconv
 Conflicts: libreoffice-gtk3 (<= 1:5.1.1-1)
 Description: Document manager for GNOME
  GNOME Documents is a standalone application to find, organize and view

## gnome-documents 3.30.1

=== debian/changelog ===
gnome-documents (3.30.1-1) unstable; urgency=high

  * New upstream release
  * Bump Standards-Version to 4.3.0
  * Restore -Wl,-O1 to our LDFLAGS
  * Drop gnome-documents-xdg-fail.patch: Applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 18 Jan 2019 11:49:17 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper (>= 11.1.3),
                desktop-file-utils,
                gjs (>= 1.48.0),
@@ -14,6 +14,7 @@
                gobject-introspection (>= 1.31.6),
                gtk-doc-tools,
                inkscape,
+               itstool,
                libevince-dev (>= 3.13.3),
                libgdata-dev (>= 0.13.3),
                libgepub-0.6-dev,
@@ -26,13 +27,13 @@
                libsoup2.4-dev (>= 2.41.3),
                libtracker-control-2.0-dev,
                libtracker-sparql-2.0-dev,
+               libxml2-utils,
                libwebkit2gtk-4.0-dev (>= 2.6.0),
                libzapojit-dev (>= 0.0.2-2),
                meson (>= 0.42.0),
                poppler-utils,
-               xsltproc,
-               yelp-tools
-Standards-Version: 4.2.1
+               xsltproc
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-documents
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-documents.git
 Homepage: https://wiki.gnome.org/Apps/Documents

## gnome-documents 3.31.90

=== debian/changelog ===
gnome-documents (3.31.90-1) unstable; urgency=medium

  * New upstream development release
    - GNOME Books has been split into a separate app.
      Please install it separately if you want it.
  * Drop dependency on libgepub since GNOME Books is now a separate app
  * Add Suggests: gnome-books

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 12 Feb 2019 19:21:19 -0500

## gnome-documents 3.31.92

=== debian/changelog ===
gnome-documents (3.31.92-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 03 Mar 2019 06:54:43 -0500

gnome-documents (3.31.90-2) unstable; urgency=medium

  * Update debian/copyright

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 02 Mar 2019 20:00:28 -0500

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
                itstool,
                libevince-dev (>= 3.13.3),
                libgdata-dev (>= 0.13.3),
-               libgepub-0.6-dev,
                libgirepository1.0-dev (>= 1.31.6),
                libgjs-dev (>= 1.48),
                libglib2.0-dev (>= 2.39.3),
@@ -42,7 +41,6 @@
 Package: gnome-documents
 Architecture: any
 Depends: gir1.2-gdkpixbuf-2.0,
-         gir1.2-gepub-0.6,
          gir1.2-pango-1.0,
          gir1.2-tracker-2.0,
          gir1.2-webkit2-4.0,
@@ -56,6 +54,7 @@
             gnome-user-docs,
             libgsf-bin,
             unoconv
+Suggests: gnome-books
 Conflicts: libreoffice-gtk3 (<= 1:5.1.1-1)
 Description: Document manager for GNOME
  GNOME Documents is a standalone application to find, organize and view

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,10 @@
 #!/usr/bin/make -f
--include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 %:
-	dh $@ --with gnome,gir --without autoreconf --buildsystem=meson
+	dh $@ --with gnome,gir
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## gnome-documents 3.32.0

=== debian/changelog ===
gnome-documents (3.32.0-1build1) eoan; urgency=medium

  * Rebuild for new gnome-desktop soname version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 19 Aug 2019 16:47:06 +0200

gnome-documents (3.32.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Translation updates only
  * Add dependency on tracker-extract, for the
    org.freedesktop.Tracker.Miner.Files GSettings schema required by
    src/search.js (Closes: #934917)
  * Standards-Version: 4.4.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sat, 17 Aug 2019 17:16:27 +0100

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
                meson (>= 0.42.0),
                poppler-utils,
                xsltproc
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-documents
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-documents.git
 Homepage: https://wiki.gnome.org/Apps/Documents
@@ -47,6 +47,7 @@
          gjs (>= 1.48.0),
          gnome-online-miners,
          tracker (>= 1.99),
+         tracker-extract,
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}

## gnome-documents 3.33.90

=== debian/changelog ===
gnome-documents (3.33.90-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - Bump meson dependency to 0.50.0 as per meson.build

 -- Simon McVittie <smcv@debian.org>  Sat, 17 Aug 2019 17:52:27 +0100

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                libxml2-utils,
                libwebkit2gtk-4.0-dev (>= 2.6.0),
                libzapojit-dev (>= 0.0.2-2),
-               meson (>= 0.42.0),
+               meson (>= 0.50.0),
                poppler-utils,
                xsltproc
 Standards-Version: 4.4.0

## gnome-documents 3.34.0

=== meson_options.txt ===
option('documentation', type: 'boolean', value: true, description: 'build documentation')
option('getting_started', type: 'boolean', value: false, description: 'build getting started PDFs')

=== debian/changelog ===
gnome-documents (3.34.0-4) unstable; urgency=medium

  * debian/rules: Drop unneeded -Wl,--as-needed
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 31 Aug 2021 07:10:14 -0400

gnome-documents (3.34.0-3) experimental; urgency=medium

  * control, patches/tracker-3: Port to tracker 3.
    - Cherry-pick changes from upstream MR (!35)
    - Update BDs
    - Bump dependencies on tracker and gnome-online-miners

 -- Iain Lane <laney@debian.org>  Thu, 24 Jun 2021 11:18:08 +0100

gnome-documents (3.34.0-2) unstable; urgency=medium

  * Team upload
  * Build-Depend on librsvg2-common:native.
    This package contains the SVG backend for gdk-pixbuf, which is necessary
    to ensure that gdk-pixbuf-pixdata can convert SVGs to PNG. It was
    previously pulled in via the dependency chain
        libgtk-3-0 -> adwaita-icon-theme -> librsvg2-common
    (Closes: #959589)
  * Explicitly build-depend on libgdk-pixbuf2.0-bin.
    This is indirectly pulled in by GTK, but the build system invokes
    gdk-pixbuf-pixdata (via glib-compile-resources) so we ought to depend
    on it directly.
  * Use debhelper compat level 13.
    Among other improvements, this runs the build with a temporary $HOME.
    This package's build system uses Inkscape to process images, and
    Inkscape unconditionally writes to $HOME.
  * Fix build with Inkscape 1.0.
    Patch from Red Hat, thanks to Kalev Lember.
  * d/p/90_drop-onlyshowin.patch: Add Ubuntu bug reference
  * d/rules: Don't generate detached debug symbols.
    The libgd copylib happens to be identical in gnome-books and
    gnome-documents, causing gcc to assign an identical build ID, causing
    the detached debug symbols to be non-coinstallable in a rare case of
    builds being a little *too* reproducible.

 -- Simon McVittie <smcv@debian.org>  Thu, 20 Aug 2020 22:13:55 +0100

gnome-documents (3.34.0-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on dh-sequence-gir and dh-sequence-gnome
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Upload to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 26 Oct 2019 08:46:19 -0400

=== debian/control ===
--- 
+++ 
@@ -6,26 +6,27 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
-Build-Depends: debhelper (>= 11.1.3),
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gir,
+               dh-sequence-gnome,
                desktop-file-utils,
                gjs (>= 1.48.0),
-               gnome-pkg-tools (>= 0.10),
-               gobject-introspection (>= 1.31.6),
                gtk-doc-tools,
-               inkscape,
+               inkscape (>= 1.0~),
                itstool,
                libevince-dev (>= 3.13.3),
                libgdata-dev (>= 0.13.3),
+               libgdk-pixbuf2.0-bin,
                libgirepository1.0-dev (>= 1.31.6),
                libgjs-dev (>= 1.48),
                libglib2.0-dev (>= 2.39.3),
                libgnome-desktop-3-dev (>= 3.10),
                libgoa-1.0-dev (>= 3.10),
                libgtk-3-dev (>= 3.22.15),
+               librsvg2-common:native,
                libsoup2.4-dev (>= 2.41.3),
-               libtracker-control-2.0-dev,
-               libtracker-sparql-2.0-dev,
+               libtracker-sparql-3.0-dev,
                libxml2-utils,
                libwebkit2gtk-4.0-dev (>= 2.6.0),
                libzapojit-dev (>= 0.0.2-2),
@@ -42,12 +43,12 @@
 Architecture: any
 Depends: gir1.2-gdkpixbuf-2.0,
          gir1.2-pango-1.0,
-         gir1.2-tracker-2.0,
+         gir1.2-tracker-3.0,
          gir1.2-webkit2-4.0,
          gjs (>= 1.48.0),
-         gnome-online-miners,
-         tracker (>= 1.99),
-         tracker-extract,
+         gnome-online-miners (>= 3.34.0-3~),
+         tracker (>= 3.0),
+         tracker-extract (>= 3.0),
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 
 %:
-	dh $@ --with gnome,gir
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -18,3 +18,8 @@
 	-ldebian/gnome-documents/usr/share/gnome-documents/gir-1.0 \
 	/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-documents/ /usr/lib/$(DEB_HOST_MULTIARCH)/gnome-documents/girepository-1.0/
 
+override_dh_strip:
+	# The detached debug symbols collide with gnome-books: #968710
+	dh_strip --no-automatic-dbgsym
+
+override_dh_dwz:
